﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using WsusWebAdmin.Web.Models;

namespace WsusWebAdmin.Web.Controllers
{
    public class ComputerController : UpdateServerBaseController
    {
        //
        // GET: /Compuer/

        public ActionResult Details(string id)
        {
            var computer = UpdateServer.GetComputerTarget(id);
            var summary = computer.GetUpdateInstallationSummary();

            return PartialView(new ComputerDetailsViewModel
                {
                    Computer = computer,
                    Summary = summary,
                });
        }

    }
}
