﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<UpdatesApproveDialogViewModel>" %>
<p>
    Select groups in which selected updates should be approved:
</p>
<%using (Ajax.BeginRouteForm(Routes.UpdateApproveRoute, new AjaxOptions { UpdateTargetId = "approveDialog", OnBegin = "approvingBegin" }))
  {%>
<%foreach (Guid item in Model.SelectedUpdates)
  {%>
<%=Html.Hidden("selectedUpdates",item) %>
<%} %>
<ul>
    <% foreach (IComputerTargetGroup item in Model.Groups)
       {%>
    <li>
        <input type="checkbox" name="groups" value="<%=item.Id %>" /><%=item.Name %></li>
    <%} %>
</ul>
<input type="submit" value="Approve" />
<%} %>
