﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<Microsoft.UpdateServices.Administration.IUpdate>" %>
<fieldset>
    <legend>
        <%=Model.Title %></legend>
    <p>
        <%=Model.Description %>
    </p>
    <p>
        Publish date:
        <%=Model.CreationDate %>
    </p>
    <p>
        MSRC Severity:
        <%=Model.MsrcSeverity %>
    </p>
    <p>
        Knowledgebase articles:
    </p>
    <ul>
        <%foreach (var item in Model.KnowledgebaseArticles)
          {%>
        <li><a href="http://support.microsoft.com/kb/<%=item %>" target="_blank">KB<%=item %></a></li>
        <%} %>
    </ul>
    <p>
        Products:
    </p>
    <ul>
        <%foreach (var item in Model.ProductTitles)
          {%>
        <li>
            <%=item %></li>
        <%} %>
    </ul>        
    <a onclick="approve('<%=Model.Id.UpdateId %>')" href="#">Approve update</a>
    <a onclick="reject('<%=Model.Id.UpdateId %>')" href="#">Reject update</a>
</fieldset>
