﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<ComputerDetailsViewModel>" %>
<fieldset>
    <legend>
        <%=Model.Computer.FullDomainName %></legend>
    <p>
        Last status report:
        <%=Model.Computer.LastReportedStatusTime%>
    </p>
    <p>
        IPAddress:
        <%=Model.Computer.IPAddress%>
    </p>
    <p>
        Operating system:
        <%=Model.Computer.OSFamily%>
        <%=Model.Computer.OSDescription%>
        (<%=Model.Computer.OSArchitecture%>)
    </p>
    <p>
        Model:
        <%=Model.Computer.Make %> <%=Model.Computer.Model%>
    </p>
    <fieldset>
        <legend>Updates summary</legend>
        <p>Installed updates:
        <%=Model.Summary.InstalledCount %></p>
        <p>Installed updates (reboot pending):
        <%=Model.Summary.InstalledPendingRebootCount %></p>
        <p>Failed updates:
        <%=Model.Summary.FailedCount %></p>
        <p>Not installed:
        <%=Model.Summary.NotInstalledCount %></p>
        <p>Not applicable:
        <%=Model.Summary.NotApplicableCount %></p>
    </fieldset>
</fieldset>
