﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<Dictionary<IComputerTargetGroup, IUpdateSummary>>" %>
<table>
    <thead>
        <tr>
            <th>
                Group
            </th>
            <th>
                Failed
            </th>
            <th>
                Installed
            </th>
        </tr>
    </thead>
    <tbody>
        <%foreach (var item in Model.Select(x => new { Group = x.Key, Summary = x.Value }).OrderBy(x=>x.Group.Name))
          {%>
        <tr>
            <td>
                <%=Html.RouteLink().ComputerTargetGroupDetails(item.Group.Name,item.Group.Id) %>
            </td>
            <td>
                <%=item.Summary.FailedCount %>
            </td>
            <td>
                <%=item.Summary.InstalledCount %>
            </td>
        </tr>
        <%} %>
    </tbody>
</table>
